const nameState = ['str', 'vit', 'int', 'wis', 'dex', 'agi', 'dis', 'res', 'spd', 'luk'];
const nameOption = ['atkPhy', 'defPhyPer', 'defPhyNum', 'resPhyPer', 'resPhyNum',
	'atkMag', 'defMagPer', 'defMagNum', 'resMagPer', 'resMagNum',
	'atkPhyTrue', 'atkMagTrue', 'rateHit', 'rateDodge', 'rateDis', 'rateRes',
	'rateCrt', 'valCrt', 'rateHitJust', 'ratePFD', 'atkRapid', 'rateCrtLuk', 'rateDodgeLuk']
const nameColor = ['red', 'green', 'blue', 'cyan', 'magenta', 'yellow', 'black', 'hue', 'saturation', 'value', 'alpha']
const nameElement = ['normal', 'fire', 'water', 'earth', 'tree', 'steel', 'light', 'dark']
const nameOptionElement = ['base', 'atk', 'def', 'atkAdd', 'defAdd', 'resist']
let check_dblClick = 0
let mapData = {
	lengthX: 0, lengthY: 0,
	map: [],
	solve: [],
	turn: 0,
	start: {
		x: 0, y: 0
	},
	exit: {
		x: 0, y: 0
	},
	party: {
		x: 0, y: 0,
		sigth: 5
	},
	positionOfEnemy: [],
	treasureData: {}

};
let areaData = {
	10001: 0,
	10002: 0,
	20001: 0
}



class EquipItem {
	constructor(wearerNumber, itemCode, type) {
		this.number = wearerNumber
		let item = this.item = 0
		if (itemCode != 'null') {
			item = Item.prototype.checkInventory(itemCode)
			if (item === 0) {
				return
			}
			var wearer = playerTeam.character[wearerNumber].equip
			var slot = this.checkSlot(item.type)
			if(slot.length == 0){
				return;
			}
			var equipSlot = wearer[slot]
			if (!equipSlot.name) { }
			else {
				if (!inventoryData[equipSlot.code]) {
					inventoryData[equipSlot.code] = equipSlot
					inventoryData[equipSlot.code].number = 1
				}
				else {
					inventoryData[equipSlot.code].number += 1;
				}
			}
			playerTeam.character[wearerNumber].equip[slot] = item
			new BattleSpec(playerTeam.character[wearerNumber])
			item.number -= 1;
			if (item.number == 0) {
				delete inventoryData[itemCode]
			}
		}
		else {
			var wearer = playerTeam.character[wearerNumber].equip
			var equipSlot = wearer[type]
			if (!equipSlot.name) { }
			else {
				if (!inventoryData[equipSlot.code]) {
					inventoryData[equipSlot.code] = equipSlot
					inventoryData[equipSlot.code].number = 1
				}
				else {
					inventoryData[equipSlot.code].number += 1;
				}
			}
			playerTeam.character[wearerNumber].equip[type] = {}
			new BattleSpec(playerTeam.character[wearerNumber])
		}

	}
	checkOtherHandCheck(slotName) {
		let otherName = ''
		switch (slotName) {
			case 'LeftHand':
				otherName = 'RigthHand'
				break;
			case 'RigthHand':
				otherName = 'LeftHand'
				break;
		}
		const otherHand = this.equip[otherName].type
		const nowType = this.type
		let canEquip = ''
		switch (nowType) {
			case 'Bow':
				canEquip = ['ArrowCase']
				if (canEquip.indexOf(otherHand) === -1) {
					new EquipItem(this.number, 'null', otherName)
				}
				break;
				break;
		}

	}
	checkTwoHandCheck(type) {
		switch (type) {
			case 'Bow':
			case 'TwoHandSword':
			case 'Spear':
			case 'Axe':
			case 'Gun':
			case 'Staff':
				this.TwoHandCheck = 1
				break;
		}
		if (this.item.twoHand === 'TwoHand') {
			this.TwoHandCheck = 1
		}
		else if (this.item.twoHand === 'OneHand') {
			this.TwoHandCheck = 0
		}
	}
	checkSlot(type) {
		var slotName = ''
		switch (type) {
			case 'Sword':
			case 'TwoHandSword':
			case 'Dagger':
			case 'Pike':
			case 'Spear':
			case 'Hatchet':
			case 'Axe':
			case 'Mace':
			case 'Pistol':
			case 'Gun':
			case 'Wand':
			case 'Staff':
			case 'Bow':
			case 'Whip':
				slotName = 'LeftHand'
				break;
			case 'MainGauche':
			case 'SubSword':
			case 'SubSword':
			case 'SubPike':
			case 'SubHatchet':
			case 'SubMace':
			case 'SubPistol':
			case 'BowGun':
			case 'Shield':
			case 'Book':
			case 'ArmGaurd':
			case 'ArrowCase':
				slotName = 'RigthHand'
				break;
			case 'Armor':
			case 'Cloth':
			case 'Robe':
				slotName = 'Body'
				break;
			case 'Helmet':
			case 'Hat':
			case 'Circlet':
				slotName = 'Head'
				break;
			case 'Item':
				slotName = 'Other'
				break;
		}
		return slotName
	}
}
let inventoryData = {

}

let mapInventoryData = {

}
var dataName = ['Alent', 'Bastie', 'Ceait', 'Diman', 'Eginea', 'Fiwn', 'Gaoel','Hideon',"Ilifona","Jotega","Kalef","Logaleons","Moztta","Noaf","Olygune","Plaef","Queza","Rogebon","Syizait","Tormalg","Uypsion","Veboon","Woplil","Xygtona","Yovteu","Zeto"]



var inCheck = 0;


function selectPlayerCharacter(value) {
	var idValue = value.value
	var id = idValue.slice(1)
	if (!playerTeam.character[id]) { }
	else {
		if (playerTeam.character[id].selected === 0) {
			playerTeam.character[id].selected = 1;
			value.style.backgroundColor = 'black';
		}
		else if (playerTeam.character[id].selected === 1) {
			playerTeam.character[id].selected = 0;
			value.style.backgroundColor = 'white';
		}
	}
}
function search() {
	battleCheck = 0;
	if (Object.getOwnPropertyNames(playerTeam.character).length < 5) {
		new CharacterHire()
	}
	//new DOMSearch( 'id','MiniMap').style.visibility = 'hidden';
	//new DOMSearch( 'id','Map').style.visibility = 'hidden';
	var code = new DOMSearch('id', "AreaSelect").value
	var level = new DOMSearch('id', "AreaLevel").value
	enemyGroup = new EnemyGroup(code, level, 'random').returnGroup
	new BattleData
	CreateMap.prototype.changeOnPress(1)
	new BattleData
}


function calculrateElement(perforemr, situation, element, base) {
	if (performer) {
		switch (situation) {
			case 'battle':
				element = performer.battle.element
				var elementBase = performer.battle.element.base
				break;
			case 'now':
				element = performer.now.element
				var elementBase = performer.now.element.base
				break;
			case 'origin':
				element = performer.origin.element
				var elementBase = performer.origin.element.base
				break;
		}
	}
	if (base) {
		if (base.base) {
			for (var i = 0; i < 8; i++) {
				if (base.base[nameElement[i]]) {
					element.base[nameElement[i]] += base.base[nameElement[i]]
				}
			}
		}
		for (var i = 1; i < 6; i++) {
			if (base[nameOptionElement[i]]) {
				for (var j = 0; j < 8; j++) {
					if (base[nameOptionElement[i]][nameElement[j]]) {
						element[nameOptionElement[i]][nameElement[j]] += base[nameOptionElement[i]][nameElement[j]]
					}
				}
			}
		}
	}
	return element;
}

let battleMode = 1;
function battleModeChange() {
	battleMode *= -1;
	if (battleMode < 0) {
		new DOMSearch('id', "modeId").innerText = "Battle Mode (Active Turn => Turn)"
	}
	else {
		new DOMSearch('id', "modeId").innerText = "Battle Mode (Turn => Active Turn)"
	}
}
let hireTimer = {};
let shopTimer = 0;
let timerInterval;

class Timer {
	constructor() {
		if(login == 0){
			return;
		}
		console.log("TEST");
		this.timerHireControll();
		this.timerShopList();
		this.timerRestCharacters();
	}
	timerRestCharacters(){
		//임시로 만듬. 세부적인 클래스로 따로 만들어질예정.
		const data = playerTeam.character
		const name = Object.getOwnPropertyNames(data);
		for(let i = 0 ; i < name.length; i++){
			if (data[name[i]].activeType == 'None') {
				data[name[i]].battle.health.hp += data[name[i]].battle.health.mHp * 0.01;
				if (data[name[i]].battle.health.hp > data[name[i]].battle.health.mHp) {
					data[name[i]].battle.health.hp = data[name[i]].battle.health.mHp
					if(data[name[i]].status == "Death"){
						data[name[i]].status = "Live"
						new AddLog([{ text: "Live " }, { text: data[name[i]].name }], "System");
					}
				}
				data[name[i]].battle.health.sp += data[name[i]].battle.health.mSp * 0.01;
				if (data[name[i]].battle.health.sp > data[name[i]].battle.health.mSp) {
					data[name[i]].battle.health.sp = data[name[i]].battle.health.mSp
				}
				data[name[i]].battle.health.mp += data[name[i]].battle.health.mMp * 0.01;
				if (data[name[i]].battle.health.mp > data[name[i]].battle.health.mMp) {
					data[name[i]].battle.health.mp = data[name[i]].battle.health.mMp
				}
			}
		}
	}
	timerHireControll() {
		const data = Object.getOwnPropertyNames(hireTimer)
		const length = data.length;
		for (let i = 0; i < length; i++) {
			hireTimer[data[i]].time -= 1;
			if (hireTimer[data[i]].time <= 0) {
				CharacterHire.prototype.hireCharacter(hireTimer[data[i]].data)
				delete hireTimer[data[i]];
			}
		}
		if (length > 0) {
			new HireList();
		}
	}
	timerShopList() {
		shopTimer++;
		if (shopTimer > 600) {
			shopTimer %= 600;
			if (shopData && shopData.itemList) {
				shopData.createItemList();
				//new DOMSearch('id', 'TownTabs').children[1].click()
			}
		}
		let value = 600 - shopTimer
		new DOMSearch('id', 'ShopBuyTimer').innerText = "다음 갱신 까지 : 0"+ Math.floor(value / 60) + ":"+ value % 60 ;
	}
}
class CharacterHire {
	constructor(type) {
		var name = new DOMSearch('id', 'HireName').value
		if (!name) {
			new DOMSearch('id', 'HireName').value = 'Input Name'
			return
		}
		if (name === 'Input Name') {
			name = dataName[Math.floor(dataName.length * Math.random)]
		}
		this.type = type;
		let listCheck = this.hireListCheck()
		if(!listCheck){
			new AddLog([{ text: "Max Hire List" }], "System");
			return;
		}
		var checkHire = this.hirePayment(this.type);

		this.name = name;
		this.timeValue = this.hireTimeValeu(this.type);
		if(type =="base"){
			let createCharacter = new Player(this.name)
			this.hireCharacter(createCharacter)
		}

		else if (checkHire != 0) {
			this.hireSetTimer();
		}
		else {
			new DOMSearch('id', 'HireName').value = 'Less Funds'
			new DOMSearch('id', 'HireName').style.backgroundColor = '#6e0906'
			new DOMSearch('id', 'HireName').addEventListener('focus',
				function () {
					new DOMSearch('id', 'HireName').style.backgroundColor = '#10b090'
				}
			)
		}
	}
	hireListCheck(){
		const length = Object.getOwnPropertyNames(hireTimer).length
		if(length < 10){
			return true;
		}
		else{
			return false;
		}
	}
	hirePayment(type) {
		var value = 0;
		switch (type) {
			case 'base':
				value = 0;
				break;
			case 'normal':
				break;
			default:
				value = 100;
				break;
		}
		if (playerTeam.funds >= value) {
			playerTeam.funds -= value
			Team.prototype.refreshTeamData('funds')
			return 1
		}
		else {
			return 0
		}
	}
	hireTimeValeu(type) {
		var timeValue = 0;
		switch (type) {
			case 'base':
				timeValue = 0;
				break;
			case 'normal':
			default:
				timeValue = 100
		}
		return timeValue
	}
	hireJobType() {
		const job = this.job = new DOMSearch('id', '').value
	}
	hireSetTimer() {
		var createCharacter = new Player(name)
		this.hireBaseSkill(createCharacter)
		hireTimer[createCharacter.code] = {
			code: createCharacter.code,
			time: this.timeValue,
			hireName: createCharacter.name,
			data: createCharacter
		}


	}
	hireCharacter(createCharacter) {

		playerTeam.character[createCharacter.code] = createCharacter
		new BattleSpec(createCharacter, 'passive')
		playerTeam.refreshTeamData('funds')
		new AddLog([{ text: "Hire " }, { text: createCharacter.name }], "System");

	}
	hireBaseSkill(createCharacter) {
		let dS = Object.getOwnPropertyNames(dataSkill)
		for (let j = 0; j < 6; j++) {
			let skillCode
			do {
				skillCode = dS[Math.floor(Math.random() * dS.length)];
			} while (skillCode.indexOf("A") == -1);
			while (createCharacter.skill.indexOf(skillCode) == -1) {
				createCharacter.skill.push(skillCode);
			}
		}
	}
}

let playerTeam = {}
function createTeam(value,value2) {

	playerTeam = new Team(value,value2)
	if(playerTeam.check==false){
		return console.log("False");
	}
	
	playerTeam.refreshTeamData()
	loadEvents();
	let a = Object.getOwnPropertyNames(playerTeam.character)
	for (let i = a.length; i < 11; i++) {
		new CharacterHire('base');
	}
	
	for (let i = 0; i < 5; i++) {
		//    playerTeam.character[a[i]].selected = 1;
	}
	a = Object.getOwnPropertyNames(playerTeam.character)
	let c = Object.getOwnPropertyNames(dataSkill)
	for (let i = 0; i < a.length; i++) {

		saveCharacter(playerTeam.character[a[i]]);

	}
	
}
function loadScript(url, folder) {
	var head = document.getElementsByTagName('head')[0];
	var script = document.createElement('script');
	script.type = 'text/javascript';
	script.src = folder + "\\" + url + ".js";
	script.onload = function () {
		load++;

	}
	head.appendChild(script);

}
const scriptNames = ["Battle", "Item", "Maps", "Parttern", "SaveLoad", "Skill", "Spec", "Team", "Tribe", "UI", "Group"];
const dataNamse = ["Area", "Item", "Job", "Monster", "Skill", "SkillTree", "Tribe"];
let load = 0;
let backGroundMusic;
window.onload = function () {
	for (let i = 0; i < scriptNames.length; i++) {
		loadScript(scriptNames[i], "js");
	}
	for (let i = 0; i < dataNamse.length; i++) {
		loadScript("data" + dataNamse[i], "data");
	}

	//do{
	//	
	//}while(load < scriptNames.length + dataNamse.length)


	test = this.setInterval(setLoad, 1)
	timerInterval = this.setInterval(function () { new Timer() }, 1000);
	//backGroundMusic = new Audio('');
	
}
let test;
let saveTeamDatas
function setLoad() {
	console.log(load);
	if (load == scriptNames.length + dataNamse.length) {
		new DOMSearch('id', "AreaSelect").addEventListener('change',
			function () {
				var area = new Area
				area.changeLevel()
			})
		var area = new Area
		area.changeLevel()
		saveTeamDatas= new LoadTeamList();
		//new DOMSearch('id', "AreaLevel").children[1].selected = true
		new DOMSearch('id', "wrapper").style.display = "none";
		clearInterval(test);
		addEvents()
		//createTeam()
		Area.prototype.addArea(20001)
		Area.prototype.addArea(90001)
		document.getElementsByClassName('MenuTabs')[0].children[2].click()

	}
}
function addEvents() {
	addEventListner.prototype.addEventTabs()
}
function enemyKill() {
	var data = Object.getOwnPropertyNames(dataActiveCharacter)
	var length = data.length
	for (var i = 0; i < length; i++) {
		if (data[i].indexOf('E') != -1) {
			dataActiveCharacter[data[i]].health.hp = -10;
		}
	}
}

function loadEvents(){
	new Shop();
	loadItem();
	loadCharact();
	for (let i = 0; i < 10; i++) {
		new Item("IT9100000");
		new Item("IT9100001");
		new Item("IT9100002");
		new Item("IT9940000");
	}
}

function clickMenu(value) {
	switch (value) {
		case 'Character':
			new DOMSearch('id', 'MainTab').children[0].children[3].click()
			break;
		case 'Hire':
			new DOMSearch('id', 'MainTab').children[0].children[4].click()
			new DOMSearch('id', 'TownTabs').children[0].click()
			break;
		case 'Buy':
			new DOMSearch('id', 'MainTab').children[0].children[4].click()
			new DOMSearch('id', 'TownTabs').children[1].click()
			break;
		case 'Sell':
			new DOMSearch('id', 'MainTab').children[0].children[4].click()
			new DOMSearch('id', 'TownTabs').children[2].click()
			break;
		case 'Inventory':
			new DOMSearch('id', 'MainTab').children[0].children[5].click()
			break;
	}
}

class LoadTeamList{
	constructor(){
		let dic = new DOMSearch("id",'LoadDataList')
		this.localData = localStorage;
		this.searchTeamData();
		for(let i = 0 ; i < this.TeamData.length; i++){
			let teamDiv = new CreateTag("div");
			teamDiv.className = "TeamList"
			teamDiv.appendChild(this.createListDiv(this.TeamData[i]))
			teamDiv.appendChild(this.createDeleteDiv(this.TeamData[i]))
			dic.appendChild(teamDiv);
		}
		return this.TeamData;
	}
	searchTeamData(){
		this.TeamData = [];
		const names = Object.getOwnPropertyNames(this.localData);
		for(let i = 0 ; i < names.length; i++ ){
			if(names[i].indexOf("Team")!= -1){
				this.TeamData.push(names[i].slice(4))
			}
		}
		this.TeamData.sort();
	}
	createListDiv(name){
		let mainDiv = new CreateTag("div");
		mainDiv.className = "LoadData";
		let button = CreateViewHTML.prototype.createViewButton(0, 'LoadDataButton', name, 'Load       Team ' + name);

		mainDiv.appendChild(button)
		button.addEventListener("click", function () {
			createTeam("Load" , this.value)
		})
		return mainDiv;
	}
	createDeleteDiv(name){
		let mainDiv = new CreateTag("div");
		mainDiv.className = "DeleteData"
		let button = CreateViewHTML.prototype.createViewButton(0, "DeleteDataButton", name, "Delete Data");
		mainDiv.appendChild(button);
		button.addEventListener("click", function(){
			let answer = confirm("Delete Data " + name + " ?");
			if(answer){
				let localData = Object.getOwnPropertyNames(localStorage);
				localStorage.removeItem("Team" + this.value);
				localStorage.removeItem(this.value + "Item" );

				let localLength = localData.length;
				let valueLength = this.value.length;
				let count = 0;
				for(let i = 0 ; i < localLength; i++){
					let length = localData[i].length;
					if(localData[i].indexOf(this.value) != -1 && (length - valueLength) == 7){
						localStorage.removeItem(localData[i]);
						count++;
					}
				}
				console.log(count);
			}
		})
		return mainDiv
	}
	
}


function ChagneSize(size){
	
	let body = new DOMSearch('tag','body')[0];
	let play = new DOMSearch('id', 'PlayerView');
	let tabs = new DOMSearch('id', 'MainTab')
	let logs = new DOMSearch('id', 'LogView')
	switch(size){
		case 1:
			body.style.fontSize = '0.75em';
			play.style.width = '400px';
			tabs.style.width = '400px';
			logs.style.left = '415px';
		break;
		case 2:
		body.style.fontSize = '1em';
		play.style.width = '600px';
		tabs.style.width = '600px';
		logs.style.left = '620px';
		break;
		case 3:
		body.style.fontSize = '1.25em';
		play.style.width = '900px';
		tabs.style.width = '900px';
		logs.style.left = '940px';
		break;
	}
}